<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li class="current"><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_t.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_t"></a>- t -</h3><ul>
<li>Tab()
: <a class="el" href="classflair_1_1gui_1_1_tab.html#a4cd3735aeaf7267742d8de5505802429">flair::gui::Tab</a>
</li>
<li>TabPosition_t
: <a class="el" href="classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b">flair::gui::TabWidget</a>
</li>
<li>TabWidget()
: <a class="el" href="classflair_1_1gui_1_1_tab_widget.html#abcffcee3606a33cecabb20a8c1de4a40">flair::gui::TabWidget</a>
</li>
<li>TextEdit()
: <a class="el" href="classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa">flair::gui::TextEdit</a>
</li>
<li>Thread()
: <a class="el" href="classflair_1_1core_1_1_thread.html#adecd2fabe36298c43267557e7f016deb">flair::core::Thread</a>
</li>
<li>To2Dxy()
: <a class="el" href="classflair_1_1core_1_1_vector3_d.html#a2ca154983653645e266a1c2331222a79">flair::core::Vector3D&lt; T &gt;</a>
</li>
<li>ToBeStopped()
: <a class="el" href="classflair_1_1core_1_1_thread.html#afcbb4a445fe287b8608b173bdc10f056">flair::core::Thread</a>
</li>
<li>ToDegree()
: <a class="el" href="classflair_1_1core_1_1_euler.html#a95f5500038266a9ae4263505244220e5">flair::core::Euler</a>
</li>
<li>ToEuler()
: <a class="el" href="classflair_1_1core_1_1_quaternion.html#a5d45a89dbbb73633701e344259e8b003">flair::core::Quaternion</a>
, <a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#a21f115fe207aa8c73515026fe921a5f3">flair::core::RotationMatrix</a>
</li>
<li>TopFrontLeft
: <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a193877a0435b5188c39016280094c9fd">flair::filter::X4X8Multiplex</a>
</li>
<li>TopFrontRight
: <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a73dbcf0adff98643df5bd205a1092756">flair::filter::X4X8Multiplex</a>
</li>
<li>TopRearLeft
: <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4afb4faf4d3a428ce9aebb66e3f4b3e450">flair::filter::X4X8Multiplex</a>
</li>
<li>TopRearRight
: <a class="el" href="classflair_1_1filter_1_1_x4_x8_multiplex.html#aeabd1401562b871ef67112dfc090a4b4a167dcf88d1ab15cfadacef2e958ebcdc">flair::filter::X4X8Multiplex</a>
</li>
<li>ToQuaternion()
: <a class="el" href="classflair_1_1core_1_1_euler.html#a04ceb304088ab462b27d19df7c61720b">flair::core::Euler</a>
, <a class="el" href="classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec">flair::core::RotationMatrix</a>
</li>
<li>ToRadian()
: <a class="el" href="classflair_1_1core_1_1_euler.html#a57de797815ca706d5d5eca0adc1b1ffb">flair::core::Euler</a>
</li>
<li>ToRotationMatrix()
: <a class="el" href="classflair_1_1core_1_1_quaternion.html#a29d40f4afe4fa2f79a08a09619a4fc1a">flair::core::Quaternion</a>
</li>
<li>TrajectoryGenerator1D()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a27ec122c93e06838155d35541cd91ece">flair::filter::TrajectoryGenerator1D</a>
</li>
<li>TrajectoryGenerator2DCircle()
: <a class="el" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a103a8785df6c651962d71e5dfa937550">flair::filter::TrajectoryGenerator2DCircle</a>
</li>
<li>TryGetSemaphore()
: <a class="el" href="classflair_1_1core_1_1_semaphore.html#a4d7c9d659a42a4db62a56226b211cfc5">flair::core::Semaphore</a>
</li>
<li>TypeChilds()
: <a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">flair::core::Object</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
